aboutsummaryrefslogtreecommitdiffstats
path: root/main/parted/skip-duplicate-bsd-test-on-s390x.patch
blob: f938e5b874b8e5735e8cf46e1b7f01134433d100 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
--- a/tests/t0501-duplicate.sh
+++ b/tests/t0501-duplicate.sh
@@ -18,9 +18,13 @@
 
 . "${srcdir=.}/init.sh"; path_prepend_ ../parted .
 
+arch=$(uname -m)
 for t in msdos gpt bsd sun atari mac pc98; do
     case $t in
       atari) [ $ss -ne 512 ] && continue
+          ;;
+      bsd) [ "$arch" = "s390x" ] && continue
+      	  duplicate $t || fail=1
           ;;
       *) duplicate $t || fail=1
           ;;